#include <iostream>
#include <algorithm>


using namespace std;

int main(){
ios_base::sync_with_stdio(NULL);
cin.tie(nullptr);
long long n,k,x;
cin >> n >> k >> x;
bool svipoz=true;
long long a[n];
for(long long i=0;i<n;i++){
    cin >> a[i];
    if(a[i]<0)svipoz=false;
}
if(svipoz){
    long long aura=0;
    long long c=1;
    for(long long i=0;i<n-k+1;i++){
            c=1;
            aura=0;
        for(long long j=0;j<k;j++){
            aura+=c*a[j];
            if(c!=x)c++;
        }
        cout << aura << " ";
    }
}
cout << "\n";
return 0;
}